de.dhbwstuttgart.typeinference.unify

## Class ParallelConstraintSet

- java.lang.Object
- - de.dhbwstuttgart.typeinference.constraints.UndMenge<Pair>
  - - de.dhbwstuttgart.typeinference.ConstraintsSet
    - - de.dhbwstuttgart.typeinference.unify.ParallelConstraintSet

All Implemented Interfaces:
  KomplexeMenge<Pair>

    class ParallelConstraintSet
    extends ConstraintsSet

### Constructor Summary

Constructors
Constructor and Description
`ParallelConstraintSet()`

### Method Summary

All Methods Instance Methods Concrete Methods
`(package private) java.util.stream.Stream` `parallelGetConstraints()`

### Methods inherited from class de.dhbwstuttgart.typeinference.ConstraintsSet

`add, add, filterWrongConstraints, unifyUndConstraints`

### Methods inherited from class de.dhbwstuttgart.typeinference.UndMenge

`addItem, addItems, cartesianProduct, getAndSets, getItems, getOrSets, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ParallelConstraintSet

    ParallelConstraintSet()

### Method Detail

#### parallelGetConstraints

    java.util.stream.Stream parallelGetConstraints()